Subject: Re: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle S/MIME signed andd encrypted messages

From: "Timothy J. Miller" <[email-masked]>
Date: Wed, 05 Aug 2020 07:25:51 -0500

Lars Ingebrigtsen <[email-masked]> writes:

>
> Corrupted base64?  That doesn't sound good?  Is this a bug?
>

If it happens again and I can nail it down I'll submit it 
separately.
Attachments were being written out as blocks of unmarked base64, 
but
with periodic insertion of invalid byte sequences.  I only saw 
this
happen with opaque signed S/MIME from Outlook; attachments on 
messages
with detached signatures were fine.  With the CR/LF patch I went
looking for recurrence and so far have come up empty.

> Do you mean the
>
> [[S/MIME Signed Part:Undecided]]
>
> stuff?
>
> Hm, yes, that's missing from the encrypted+signed messages... 
> *sigh*

:thumbsup:

-- T